Profiles
Predefined energy consumption profiles (household types, business categories). Provide baseline consumption patterns for solar analysis. See Accuracy — Load Profile Accuracy.
GET/v1/profiles
List all profiles
Endpoint for GET /v1/profiles.
Response
Request
GET
/v1/profilescurl -G https://api.enhub.nl/v1/profiles \
-H "x-api-key: {your-api-key}"
Response
[
{
"id": "cm5k2l3m4000008l8a1b2c3d4",
"type": "residential",
"profileKey": "standard",
"label": "Alleenstaand",
"category": "residential",
"description": "Gemiddeld huishoudelijk verbruik zonder warmtepomp"
}
]
GET/v1/profiles/business
List active business standard profiles
Endpoint for GET /v1/profiles/business.
Response
Request
GET
/v1/profiles/businesscurl -G https://api.enhub.nl/v1/profiles/business \
-H "x-api-key: {your-api-key}"
Response
[
{
"profileKey": "business-mkb-office-storage",
"label": "MKB kantoor plus opslag",
"category": "Zakelijk",
"description": "Standaard zakelijk profiel voor een MKB-kantoor met opslagruimte.",
"defaultAnnualKwh": 157681,
"peakKw": 49.926,
"monthlyTotals": [
13724.4,
12210.3
]
}
]
GET/v1/profiles/business/:profileKey
Get active business standard profile by key
Endpoint for GET /v1/profiles/business/{profileKey}.
Path parameters
- Name
profileKey- Type
- string
- required
- Description
No description available.
Response
Request
GET
/v1/profiles/business/:profileKeycurl -G https://api.enhub.nl/v1/profiles/business/{profileKey} \
-H "x-api-key: {your-api-key}"
Response
{
"profileKey": "business-mkb-office-storage",
"label": "MKB kantoor plus opslag",
"category": "Zakelijk",
"description": "Standaard zakelijk profiel voor een MKB-kantoor met opslagruimte.",
"defaultAnnualKwh": 157681,
"peakKw": 49.926,
"monthlyTotals": [
13724.4,
12210.3
],
"referenceYear": 2025,
"load": [
0
]
}
GET/v1/profiles/:id
Get profile by ID
Endpoint for GET /v1/profiles/{id}.
Path parameters
- Name
id- Type
- string
- required
- Description
No description available.
Response
Request
GET
/v1/profiles/:idcurl -G https://api.enhub.nl/v1/profiles/{id} \
-H "x-api-key: {your-api-key}"
Response
{
"id": "cm5k2l3m4000008l8a1b2c3d4",
"type": "residential",
"profileKey": "standard",
"label": "Alleenstaand",
"category": "residential",
"description": "Gemiddeld huishoudelijk verbruik zonder warmtepomp",
"defaultAnnualKwh": 3500,
"sortOrder": 10,
"isActive": true,
"referenceYear": 2025,
"profileFile": {
"load": [
0.5,
0.4,
0.3
],
"pv": [
0,
0,
0
]
},
"createdAt": "2026-01-30T12:00:00.000Z",
"updatedAt": "2026-01-30T12:00:00.000Z"
}